# PhasicFlow: uniquePtr< T > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

uniquePtr< T > Class Template Reference
Inheritance diagram for uniquePtr< T >:
[legend]
Collaboration diagram for uniquePtr< T >:
[legend]

## Public Types

using | uniquePtrType = std::unique_ptr< T >

## Public Member Functions

void | clear ()
T & | operator() ()
const T & | operator() () const
| operator bool () const

## Static Public Member Functions

template<typename... Args>
static uniquePtr< T > | makeUnique (Args &&... args)

## Detailed Description

### template<typename T>
class pFlow::uniquePtr< T >

Definition at line 42 of file uniquePtr.hpp.

## Member Typedef Documentation

## uniquePtrType

using uniquePtrType = std::unique_ptr<T>

Definition at line 48 of file uniquePtr.hpp.

## Member Function Documentation

## makeUnique()

static uniquePtr<T> makeUnique | ( | Args &&... | args | ) |

inlinestatic

Definition at line 55 of file uniquePtr.hpp.

## clear()

void clear | ( |  | ) |

inline

Definition at line 60 of file uniquePtr.hpp.

## operator()() [1/2]

T& operator() | ( |  | ) |

inline

Definition at line 66 of file uniquePtr.hpp.

## operator()() [2/2]

const T& operator() | ( |  | ) | const

inline

Definition at line 79 of file uniquePtr.hpp.

## operator bool()

operator bool | ( |  | ) | const

inlineexplicit

Definition at line 91 of file uniquePtr.hpp.

The documentation for this class was generated from the following file:

- src/phasicFlow/smartPointers/uniquePtr.hpp